%global momorel 3

Summary: GNOME IDE for C and C++
Name: anjuta
Version: 2.4.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
URL: http://anjuta.sourceforge.net/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.4/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: glib2-devel >= 2.16.1
BuildRequires: gtk2-devel >= 2.12.8
BuildRequires: ORBit2-devel >= 2.14.12
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: libgnome-devel >= 2.22.0
BuildRequires: libgnomecanvas-devel >= 2.20.1.1
BuildRequires: libgnomeui-devel >= 2.22.01
BuildRequires: libgnomeprint22-devel >= 2.18.4
BuildRequires: libgnomeprintui22-devel >= 2.18.2
BuildRequires: gnome-vfs2-devel >= 2.22.0
BuildRequires: GConf2-devel >= 2.22.0
BuildRequires: vte-devel >= 0.16.13
BuildRequires: libxml2-devel >= 2.6.31
BuildRequires: pango-devel >= 1.20.0
BuildRequires: gdl-devel >= 0.7.11
BuildRequires: libxslt-devel >= 1.1.22
BuildRequires: devhelp-devel >= 0.19
BuildRequires: gnome-build-devel >= 0.3.0
BuildRequires: glade3-devel >= 3.4.4
BuildRequires: graphviz-devel >= 2.12
BuildRequires: gtksourceview-devel >= 1.8.5

BuildRequires: autogen-devel >= 5.9
BuildRequires: binutils
BuildRequires: gcc-c++
BuildRequires: pcre-devel >= 7.0
BuildRequires: rarian
BuildRequires: subversion-devel >= 1.4.5
BuildRequires: httpd-devel >= 2.2.6
BuildRequires: glade3 >= 3.4.0
BuildRequires: neon-devel
BuildRequires: db4-devel >= 4.6.21
BuildRequires: apr-devel >= 1.2.8
BuildRequires: openldap-devel >= 2.4.0
%ifnarch x86_64
BuildRequires: gtk-doc
%endif

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++. 
It has been written for GTK/GNOME, and features a number of advanced 
programming facilities. It is basically a GUI interface for the collection 
of command line programming utilities and tools available for the GNU system. 
These are usually run via a text console, and can be unfriendly to use.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%package docs
Summary: Anjuta docuemntations package.
Group: Development/Tools

%description docs
Anjuta documentations.

%prep
%setup -q

%build
%configure \
%ifnarch x86_64
    --enable-gtk-doc \
%endif
    --disable-scrollkeeper \
    --with-apr-config=%{_bindir}/apr-1-config \
    --with-apu-config=%{_bindir}/apu-1-config \
    --with-neon-config=%{_bindir}/neon-config \
    --enable-plugin-symbol-db
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

%__rm -fr %{buildroot}/var/scrollkeeper

# create_global_tags.sh need
%{__mkdir_p} %{buildroot}/usr/share/anjuta/scripts/
%{__cp} global-tags/create_global_tags.sh %{buildroot}/usr/share/anjuta/scripts/

# delete icon-theme.cache
find %{buildroot} -name icon-theme.cache -delete

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache --quiet /usr/share/icons/hicolor
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    anjuta-build-basic-autotools-plugin.schemas \
    anjuta-cvs-plugin.schemas \
    anjuta-document-manager.schemas \
    anjuta-editor-scintilla.schemas \
    anjuta-editor-sourceview.schemas \
    anjuta-language-cpp-java.schemas \
    anjuta-message-manager-plugin.schemas \
    anjuta-symbol-browser-plugin.schemas \
    anjuta-terminal-plugin.schemas \
    anjuta-valgrind.schemas \
    anjuta.schemas
do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done

%post docs
scrollkeeper-update

%postun docs
scrollkeeper-update

%files
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/anjuta-build-basic-autotools-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-cvs-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-document-manager.schemas
%{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas
%{_sysconfdir}/gconf/schemas/anjuta-editor-sourceview.schemas
%{_sysconfdir}/gconf/schemas/anjuta-language-cpp-java.schemas
%{_sysconfdir}/gconf/schemas/anjuta-message-manager-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-symbol-browser-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-terminal-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas
%{_sysconfdir}/gconf/schemas/anjuta.schemas

%{_bindir}/anjuta
%{_bindir}/anjuta-tags
%{_bindir}/anjuta_import.sh
%{_bindir}/anjuta_launcher

%{_libdir}/%{name}
%{_libdir}/libanjuta*.so.*
%{_libdir}/glade3/modules/libgladeanjuta.*

%{_datadir}/anjuta/*
%{_datadir}/applications/anjuta.desktop
%{_datadir}/pixmaps/anjuta
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-anjuta.png
%{_datadir}/icons/gnome/scalable/mimetypes/gnome-mime-application-x-anjuta.svg
%{_datadir}/icons/hicolor/48x48/apps/anjuta.png
%{_datadir}/icons/hicolor/scalable/apps/anjuta.svg
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/help/anjuta-faqs
%{_datadir}/gnome/help/anjuta-manual
%{_datadir}/omf/anjuta-manual
%{_datadir}/glade3/catalogs/anjuta-glade.xml
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/libanjuta-1.0
%{_libdir}/libanjuta*.so
%{_libdir}/pkgconfig/libanjuta-1.0.pc

%files docs
%defattr(-, root, root)
%{_docdir}/anjuta/*
%{_datadir}/gtk-doc/html/*

%changelog
* Mon Jul  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-3m)
- rebuild against gnome-build

* Sun Jul  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.4.2-2m)
- rebuild against graphviz-2.18

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-1m)
- update to 2.4.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.1-1m)
- update to 2.4.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.0-3m)
- rebuild against gcc43

* Sat Mar 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.0-2m)
- disable gtk-doc on x86_64 for the moment
- fix "File listed twice"

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.0-1m)
- update to 2.4.0

* Tue Feb 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.3-2m)
- rebuild against openldap-2.4.8

* Mon Dec  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.3-1m)
- update to 2.2.3

* Tue Oct 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.2-1m)
- update to 2.2.2

* Sat Oct 20 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.2.1-3m)
- rebuild against db4-4.6.21

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-2m)
- rebuild against libwnck-2.20.0
- rebuild against glade3-3.4.0

* Sun Sep  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Fri Jul 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.0-4m)
- add --with-apr-config option to configure

* Thu Jul 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.0-3m)
- add -maxdepth 1 to del .la

* Sat Jun 30 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.2.0-2m)
- add BuildRequires gdl-devel >= 0.7.6, gnome-build-devel >= 0.1.7

* Sat Jun 30 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0 (stable rerease)

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.3-1m)
- update to 2.1.3

* Fri Feb 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.0-2m)
- disable glade3

* Tue Jan 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.0-1m)
- update to 2.1.0

* Mon Dec 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-15m)
- rebuild against graphviz-2.12-1m

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-14m)
- rebuild against binutils-2.17.50.0.8

* Sun Nov 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-13m)
- rebuild against db4-4.5.20-1m

* Wed Nov 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-12m)
- rebuild against graphiz-2.8-4m

* Sat Oct  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-11m)
- rebuild against binutils-2.17.50.0.3-3m

* Mon Sep 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-10m)
- rebuild against gdl-0.6.1-4m

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-9m)
- rebuild against vte-0.14.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.0.2-8m)
- rebuild against expat-2.0.0-1m

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-7m)
- delete libtool library

* Wed Jun 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-6m)
- rebuild against binutils-2.17

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-5m)
- rebuild against binutils-2.16.94

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-4m)
- delete duplicated dir and icon-theme.cache

* Wed Jun 01 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.2-3m)
- updated ja.po by the one at http://mikeforce.homelinux.org/

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-2m)
- delete duplicate dir

* Tue May 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Thu May  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-6m)
- use apr-1,apr-util-1

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.1-5m)
- rebuild against vte-0.12.1

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-4m)
- rebuild against httpd-2.0.55-3m

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-3m)
- rebuild against db4.3

* Wed Jan  3 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.1-2m)
- rebuild against neon-0.25.4

* Thu Jun 30 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Wed May 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Mon Feb 14 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.2-5m)
- update libdir patch.

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.2-4m)
- run auto-brothers

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.2-3m)
- enable x86_64.

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.2-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat May 8 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.2-1m)
- initial import
